> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gmail connections for organization



## OpenAPI

````yaml get /api/v1/gmail/connections
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/gmail/connections:
    get:
      tags:
        - Gmail Connections
      summary: List Gmail connections for organization
      responses:
        '200':
          description: List of Gmail connections
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        accountEmail:
                          type: string
                        invalid:
                          type: boolean
                        historyId:
                          type: string
                          nullable: true
                        watchExpiration:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - accountEmail
                        - invalid
                        - historyId
                        - watchExpiration
                        - createdAt
                        - updatedAt
                required:
                  - connections
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````